### Method

# Gtk Image set_from_icon_name

#### Declaration [src]

    void
    gtk_image_set_from_icon_name (
      GtkImage* image,
      const char* icon_name
    )

#### Description [src]

Sets a `GtkImage` to show a named icon.

See gtk_image_new_from_icon_name() for details.

Sets property | `Gtk.Image:icon-name`

#### Parameters

`icon_name` | `const char*`
| An icon name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.